gnutls_cipher_list(3)

NAME
gnutls_cipher_list - Get a list of supported ciphers

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_cipher_algorithm_t * gnutls_cipher_list( void);

ARGUMENTS

void

DESCRIPTION

Get a list of supported cipher algorithms. Note that not necessarily all ciphers are supported as TLS cipher suites. For example, DES is not supported as a cipher suite, but is supported for other purposes (e.g., PKCS8 or similar).

RETURNS
a zero-terminated list of gnutls_cipher_algorithm_t integers indicating the available ciphers.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.